summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-05-14 13:35:29 -0400
committerMike Frysinger <vapier@gentoo.org>2012-05-14 14:51:05 -0400
commit22795b488b882aa423e6bc330a81820f41ec0eb9 (patch)
tree26e08124e65c8582838a0814d74ab73cdd7f0847
parent2ec3f2d22da444fc8c40370ed2be64d39db8c9e2 (diff)
downloadportage-22795b488b882aa423e6bc330a81820f41ec0eb9.tar.gz
portage-22795b488b882aa423e6bc330a81820f41ec0eb9.tar.bz2
portage-22795b488b882aa423e6bc330a81820f41ec0eb9.zip
multijob_post_fork: simpler handling of return value
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
-rw-r--r--bin/helper-functions.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/bin/helper-functions.sh b/bin/helper-functions.sh
index 37f0b1337..afe14af91 100644
--- a/bin/helper-functions.sh
+++ b/bin/helper-functions.sh
@@ -54,11 +54,9 @@ multijob_finish() {
}
multijob_post_fork() {
- local ret=0
: $(( ++mj_num_jobs ))
if [[ ${mj_num_jobs} -ge ${mj_max_jobs} ]] ; then
multijob_finish_one
- : $(( ret |= $? ))
fi
- return ${ret}
+ return $?
}